export const USER_UPDATE = "USER_UPDATE";
export const USER_INFO_UPDATE = "USER_INFO_UPDATE";
export const MEDIA_INFO_UPDATE = "MEDIA_INFO_UPDATE";

export const RECORDING_COUNTER = "RECORDING_COUNTER";
export const RECORDING_INSERT = "RECORDING_INSERT";
export const RECORDING_UPDATE = "RECORDING_UPDATE";
export const CLEAR_RECORDINGS = "CLEAR_RECORDINGS";
export const SET_ACTIVE_RECORDING_STATE = "SET_ACTIVE_RECORDING_STATE";
export const SET_ALLOW_BROWSER_RECORDING = "SET_ALLOW_BROWSER_RECORDING";
export const SET_PLAYING_AUDIO_PREVIEW = "SET_PLAYING_AUDIO_PREVIEW";

export const ADD_FILE_TO_TRANSFER = "ADD_FILE_TO_TRANSFER";
export const REMOVE_FILE_FROM_TRANSFER = "REMOVE_FILE_FROM_TRANSFER";
export const SET_OPEN_TRANSFER_MODAL = "SET_OPEN_TRANSFER_MODAL";
export const UPDATE_STATUS_FILE_TRANSFER = "UPDATE_STATUS_FILE_TRANSFER";
export const REMOVE_ALL_COMPLETED_FILES_FROM_TRANSFER = "REMOVE_ALL_COMPLETED_FILES_FROM_TRANSFER";

export const SET_LIBRARY_FILES = "SET_LIBRARY_FILES";
export const ADD_LIBRARY_FILE = "ADD_LIBRARY_FILE";
export const EDIT_LIBRARY_FILE = "EDIT_LIBRARY_FILE";
export const REMOVE_LIBRARY_FILE = "REMOVE_LIBRARY_FILE";
export const SET_LIBRARY_PATH_EXISTS = "SET_LIBRARY_PATH_EXISTS";
export const SET_LIBRARY_PATH = "SET_LIBRARY_PATH";
export const CURRENT_AUDIO_PLAYING = "CURRENT_AUDIO_PLAYING";

export const SET_HONEYCOMBS = "SET_HONEYCOMBS";
export const ADD_HONEYCOMB = "ADD_HONEYCOMB";
export const EDIT_HONEYCOMB = "EDIT_HONEYCOMB";
export const REMOVE_HONEYCOMB = "REMOVE_HONEYCOMB";
export const SET_CHAT_LIST = "SET_CHAT_LIST";
export const ADD_CHAT_MESSAGE = "ADD_CHAT_MESSAGE";
export const ADD_TOKEN_CHAT_CLEAR_MESSAGES = "ADD_TOKEN_CHAT_CLEAR_MESSAGES";
export const RELOAD_CHAT_LOCAL_MESSAGES = "RELOAD_CHAT_LOCAL_MESSAGES";
export const ADD_TOKEN_HONEYCOMB_ARCHIVED = "ADD_TOKEN_HONEYCOMB_ARCHIVED";
export const REMOVE_TOKEN_HONEYCOMB_ARCHIVED = "REMOVE_TOKEN_HONEYCOMB_ARCHIVED";

export const SET_CURSOR_SELECTED = "SET_CURSOR_SELECTED";

export const SET_IS_ROOM_HOST = "SET_IS_ROOM_HOST";
export const SET_ROOM_ID = "SET_ROOM_ID";
export const SET_IDENTITY = "SET_IDENTITY";
export const SET_SHOW_OVERLAY = "SET_SHOW_OVERLAY";
export const SET_PARTICIPANTS = "SET_PARTICIPANTS";
export const SET_PARTICIPANTS_NC = "SET_PARTICIPANTS_NC";
export const REMOVE_ALL_PARTICIPANTS = "REMOVE_ALL_PARTICIPANTS";
export const REMOVE_PARTICIPANT_BY_ROOM_ID = "REMOVE_PARTICIPANT_BY_ROOM_ID";

export const SET_CHANNELS = "SET_CHANNELS";
export const ADD_CHANNEL = "ADD_CHANNEL";
export const EDIT_CHANNEL = "EDIT_HONEYCOMB";
export const REMOVE_CHANNEL = "REMOVE_CHANNEL";

export const SET_CURRENT_PUBLICATION = "SET_CURRENT_PUBLICATION";
export const RESET_CURRENT_PUBLICATION = "RESET_CURRENT_PUBLICATION";
export const UPDATE_CURRENT_PUBLICATION = "UPDATE_CURRENT_PUBLICATION";

export const MARK_AS_READ = "MARK_AS_READ";
